#ifndef Crystalino_h
#define Crystalino_h

#include <Adafruit_NeoPixel.h>
#include <IRremote.h>
//#include <NewTone.h>

#define NUM_LEDS 1
#define NEOPIXEL_PIN 4

#define MOTOR_DER 0
#define MOTOR_IZQ 1

#define MDER_1 3
#define MDER_2 9
#define MIZQ_1 11
#define MIZQ_2 10

#define ALTAVOZ 8

#define PULSADOR 12

#define PIN_TRIG	6
#define PIN_ECHO	7

#define RECEPTOR_IR 2

#define SUELO_IZQ A0
#define SUELO_DER A1

//Colores
#define ROJO 0
#define VERDE 1
#define AZUL 2
#define BLANCO 3
#define AMARILLO 4
#define CIAN 5
#define MAGENTA 6
#define NEGRO 7

//Estado control mando IR
#define MANDO_IR_ON 1
#define MANDO_IR_OFF 0


//Teclas mando IR
#define KEY_UP 0xFF629D
#define KEY_LEFT 0xFF22DD
#define KEY_OK 0xFF02FD
#define KEY_RIGHT 0xFFC23D
#define KEY_DOWN 0xFFA857
#define KEY_1 0xFF6897
#define KEY_2 0xFF9867
#define KEY_3 0xFFB04F
#define KEY_4 0xFF30CF
#define KEY_5 0xFF18E7
#define KEY_6 0xFF7A85
#define KEY_7 0xFF10EF
#define KEY_8 0xFF38C7
#define KEY_9 0xFF5AA5
#define KEY_0 0xFF4AB5
#define KEY_ASTERISK 0xFF42BD
#define KEY_POUND 0xFF52AD
#define KEY_REPEAT 0xFFFFFFFF

//Prototipos de funciones
void ini_crystalino();
void ini_crystalino(int estado_ir);
void _ini_crystalino();
void mueve_motor(int vel, int motor);
void mueve_crystalino(int vel);
void gira_crystalino(int vel);
void para_crystalino();
void espera_pulsado();
void beep();
void doble_beep();
void triple_beep();
void muestra_rgb(int color);
int distancia_crystalino();
void sonido(int frecuencia, int duracion);
int comunica_mando_ir();
unsigned long dato_mando_ir();

#endif
