//************************************
// Robot Crystalino
//
// Mantiene distancia Crystalino. Usa el control proporcional para mantener
// una distancia constante respecto de un objeto, usando las medidas del sensor
// de distancias por ultrasonidos.
//
// Nov-2018  www.complubot.com
//************************************

// Librería de funciones del robot Crystalino
#include "Crystalino.h"

#define DISTANCIA 10	// Distancia del objeto
#define KP 10			// Constante del control proporcional

void setup()
{
  //Inicializa el robot Crystalino
  ini_crystalino();

  //Espera se apriete y suelte el pulsador
  espera_pulsado();
  beep();

  //Muestra color verde
  muestra_rgb(VERDE);
}

void loop()
{
  int medida, velocidad;
  
  //Mide la distancia al objeto
  medida = distancia_crystalino();
  
  //Calcula la velocidad usando el control proporcional
  velocidad = (medida - DISTANCIA) * KP;

  //Mueve el robot
  mueve_crystalino(velocidad);

  //Esperamos a que el movimiento pueda tener lugar
  delay(100);
}
