//************************************
// Robot Crystalino
//
// Mantiene distancia Crystalino. Usa el control proporcional para mantener
// una distancia constante respecto de un objeto, usando las medidas del sensor
// de distancias por ultrasonidos.
//
// Nov-2018  www.complubot.com
//************************************

// Librería de funciones del robot Crystalino
#include "Crystalino.h"

#define LINEAS 2	//número de lineas a contar

void setup()
{
  //Inicializa el robot Crystalino
  ini_crystalino();

  //Espera se apriete y suelte el pulsador
  espera_pulsado();
  beep();

  //Muestra color verde
  muestra_rgb(VERDE);
}

void loop()
{
  //Variable para almacenar el número de líneas detectadas
  int contador;

  // Mueve a la línea inicial detctando con el sensor izquierdo
  mueve_crystalino(100);
  while (analogRead(SUELO_IZQ) < 500);
  while (analogRead(SUELO_IZQ) > 500);
  
  //Recorre el número de líneas
  for (contador = 0; contador < LINEAS; contador ++)
  {
    while (analogRead(SUELO_IZQ) < 500);
    while (analogRead(SUELO_IZQ) > 500);
    beep();
  }

  //Paramos el robot
  para_crystalino();
  muestra_rgb(ROJO);

  delay(500);
  triple_beep();

  //Detenemos la ejecución del programa (bucle infinito)
  while (true);
}
