//************************************
// Robot Crystalino
//
// Mueve el robot usando las flechas del mando a distancia IR
//
// Octubre - 2019  www.complubot.com
//************************************

// Librería de funciones del robot Crystalino
#include "Crystalino.h"

void setup()
{
  //Inicializa el robot Crystalino
  ini_crystalino();

  //Inicializa puerto serie para visualizar los códigos recibidos, si así se desea
  Serial.begin(9600);

  //Espera se apriete y suelte el pulsador
  espera_pulsado();
  beep();

  //Muestra color rojo
  muestra_rgb(ROJO);
}

void loop()
{
  unsigned long tecla_mando_ir;

  if (comunica_mando_ir())
  {
    tecla_mando_ir = dato_mando_ir();

    // Envía código por el puerto serie
    Serial.println(tecla_mando_ir, HEX);

    // Interpreta código (tecla pulsada)
    switch (tecla_mando_ir) {
      // 2 - Avanza
      case KEY_UP:
        mueve_crystalino(100);
        muestra_rgb(VERDE);
        delay(300);
        break ;

      // 4 - Gira izquierda
      case KEY_LEFT:
        gira_crystalino(-100);
        muestra_rgb(VERDE);
        delay(300);
        break ;

      // 6 - Gira derecha
      case KEY_RIGHT:
        gira_crystalino(100);
        muestra_rgb(VERDE);
        delay(300);
        break ;

      // 8 - Retrocede
      case KEY_DOWN:
        mueve_crystalino(-100);
        muestra_rgb(VERDE);
        delay(300);
        break ;

      // Para robot
      default:
        para_crystalino();
        muestra_rgb(ROJO);
        break ;
    }
  }

  // Para el robot si no se envía ninguna orden
  para_crystalino();
  muestra_rgb(ROJO);
}